import config from '../config';
import { Request } from 'web_notebook-test1';
import commonInterceptors from '@/assets/js/common_interceptors';
const baseURL = {
  mock: 'http://mock.allhome.com.cn/mock/5db2630933901100102f2e2f/javaLog',
  development : 'http://192.168.10.12:8991',
  lan: `http://192.168.10.200:8009/projectName`,
  pred: `https://dtgateway.allhome.com.cn/projectName`,
  production: `https://gateway.allhome.com.cn/projectName`
}[config.env];

const request = new Request({
  baseURL,
  timeout: 60000,
}, process.env.NODE_ENV, 'web_log_test')

// 设置拦截器
request.interceptors(commonInterceptors)
export default request.axios;
