import config from '{{$$.relative("config")}}';
import { Request } from 'web_notebook-test1';
import commonInterceptors from '@/assets/js/common_interceptors';
const baseURL = {
  mock: '{{$$.joinUrl(config.host, "mock", data.project._id, data.project.url)}}',
  development : 'http://192.168.10.12:8991',
  lan: `http://192.168.10.200:8009/projectName`,
  pred: `https://dtgateway.allhome.com.cn/projectName`,
  production: `https://gateway.allhome.com.cn/projectName`
}[config.env];

const request = new Request({
  baseURL,
  timeout: 60000,
}, process.env.NODE_ENV, 'web_log_test')

// 设置拦截器
request.interceptors(commonInterceptors)
export default request.axios;
