import instance from './instance';
import { convertRESTAPI } from '../util';

/** 获取用户列表 */
function test_user_page_page_pageSize_get(data) {
  return instance['get'](convertRESTAPI('/test/user/page/{page}/{pageSize}', data), data)
}

/** 获取用户列表表头 */
function test_user_page_head_get(data) {
  return instance['get']( '/test/user/page/head', data)
}

/** 修改用户 */
function test_user_put(data) {
  return instance['put']( '/test/user', data)
}

/** 添加用户 */
function test_user_post(data) {
  return instance['post']( '/test/user', data)
}

/** 获取用户 */
function test_user_get(data) {
  return instance['get']( '/test/user', data)
}

/** 删除一个用户 */
function test_user_delete(data) {
  return instance['delete']( '/test/user', data)
}

/** 服务异常接口测试 */
function test_error_put(data) {
  return instance['put']( '/test/error', data)
}

export {
  test_user_page_page_pageSize_get,
  test_user_page_head_get,
  test_user_put,
  test_user_post,
  test_user_get,
  test_user_delete,
  test_error_put
};
