/* 根据opts中的属性替换url中相应的pathname */
function convertRESTAPI(url, opts) {
  if (!opts) return url;
  const pathKeys = Object.keys(opts);
  pathKeys.forEach((key) => {
    const r = new RegExp('(:' + key + '|{' + key + '})', 'g');
    url = url.replace(r, opts[key]);
  });
  return url;
}
export {
  convertRESTAPI
};
